Jsp

JSPが表示されました '1.7未満のソースレベルの文字列型の値をオンに切り替えることはできません'ソリューション

Jsp Appearedcannot Switch Value Type String

IDEAで新しいプロジェクトを実行し、特定のJSPページを実行すると、次のエラーが表示されます。

Cannot switch on a value of type String for source level below 1.7. Only convertible int values or enum variables are permitted

1.IDEAのコンパイル済みバージョンを変更します



設定→Javaコンパイラ:

Java

プロジェクト構造→プロジェクト:

JDK

2.Tomcatバージョンを8.x以降にアップグレードします